# Contributing

Please take a moment to review this document in order to make the contribution process easy and effective for everyone involved.


## Using the issue tracker

Please respect the following restrictions:

* Please **do not** use the issue tracker for personal support requests.  Stack Overflow and specific Bootstrap forums are better places to get help.
* Please **do not** post more than one capture (unless it is really necessary). If you need more than one capture to describe a situation, a live example may be more suitable.


## Bug reports

Guidelines for bug reports:

0. **[validate your HTML](https://html5.validator.nu/)** to ensure your problem isn't caused by a simple error in your own code.
  
1. **Use the GitHub issue search** &mdash; check if the issue has already been reported.
  
2. **Check if the issue has been fixed** &mdash; try to reproduce it using the latest `master` or development branch in the repository.
  
3. **Isolate the problem** &mdash; ideally create a [reduced test case](https://css-tricks.com/reduced-test-cases/) and a live example. 
   [This JS Bin](https://jsbin.com/nilopib/edit?html,output) is a helpful template.

Example:

> Short and descriptive example bug report title
>
> A summary of the issue and the browser/OS environment in which it occurs. If
> suitable, include the steps required to reproduce the bug.
>
> `<url>` - a link to the reduced test case
>
> Any other information you want to share that is relevant to the issue.


## Feature requests

Feature requests are welcome. But take a moment to find out whether your idea
fits with the scope and aims of the project.
Please provide as much detail and context as possible.


## Pull requests

Pull requests—patches, improvements, new features—are a fantastic
help. They should remain focused in scope and avoid containing unrelated
commits.


## License

By contributing your code, you agree to license your contribution under the [MIT License](LICENSE.txt).
